ECHO(1)

NOM
echo - Afficher une ligne de texte

SYNOPSIS
echo [OPTION-COURTE]... [CHAÎNE]...
echo OPTION-LONGUE

DESCRIPTION

Afficher la(les) CHAÎNE(s) en écho sur la sortie standard.

-n  Ne pas effectuer le saut de ligne final

-e  Interpréter les échappements par contre-oblique

-E  Ne pas interpréter les échappements par contre-oblique. C'est le comportement par défaut.

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Si -e est présent, les séquences suivantes sont reconnues :

\\  contre-oblique ;

\a  alerte (sonnerie)

\b  effacement arrière (« backspace ») ;

\c  ne plus produire de sortie

\e  escape

\f  saut de page (« form feed ») ;

\n  saut de ligne (« new line ») ;

\r  retour chariot (« carriage return ») ;

\t  tabulation horizontale ;

\v  tabulation verticale ;

\0NNN
    octet de valeur octale NNN (de 1 à 3 chiffres)

\xHH
    octet de valeur hexadécimale HH (de 1 à 2 chiffres)

NOTE : votre interpréteur de commandes peut avoir sa propre version de echo, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

NOTE : printf(1) est une alternative privilégiée car il n'a aucun problème avec l'affichage des chaînes ressemblant à une option.

AUTEUR
Écrit par Brian Fox et Chet Ramey.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
printf(1)

Documentation complète : <https://www.gnu.org/software/coreutils/echo>
aussi disponible localement à l’aide de la commande : info '(coreutils) echo invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.